Handles `GET /v1/wallets/{network}/{address}/screenings`.
curl --request GET \
--url https://qa.esectra.com/v1/wallets/{network}/{address}/screenings \
--header 'Authorization: Bearer <token>'import requests
url = "https://qa.esectra.com/v1/wallets/{network}/{address}/screenings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qa.esectra.com/v1/wallets/{network}/{address}/screenings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"screenings": [
{
"address": "<string>",
"evidence": [
{
"id": "<string>",
"kind": "IMAGE",
"location": "<string>",
"retention_policy": "<string>"
}
],
"exposures": [
{
"category": "SANCTIONS",
"relationship": "DIRECT",
"source_provider": "<string>",
"amount_exposure": {
"base_units": 1,
"decimals": 1
},
"attributed_entity": {
"entity_type": "EXCHANGE",
"name": "<string>",
"sanctions_listed": true,
"jurisdiction": "<string>"
},
"confidence": 123,
"hop_distance": 1,
"observed_at": "<string>",
"percentage_exposure": 123
}
],
"jurisdiction_risks": [
{
"country_code": "<string>",
"listing": "CALL_FOR_ACTION",
"source": "<string>",
"listed_at": "<string>",
"notes": "<string>"
}
],
"mixer_signals": [
"<string>"
],
"network": "<string>",
"provider": {
"provider": "<string>",
"screened_at": "<string>",
"data_version": "<string>"
},
"risk_level": "LOW",
"sanctions_evidence": [
{
"digest": "<string>",
"list_id": "<string>",
"published_at": "<string>",
"retrieved_at": "<string>",
"source_url": "<string>",
"version": "<string>"
}
],
"sanctions_signals": [
{
"match_kind": "LISTED_ADDRESS",
"matched_value": "<string>",
"program": {
"authority": "OFAC",
"list_name": "<string>",
"program_code": "<string>"
},
"source_provider": "<string>",
"subject": {
"id": "<string>",
"kind": "IDENTITY"
},
"confidence": 123,
"hop_distance": 1,
"matched_entity": "<string>",
"observed_at": "<string>"
}
],
"screening_id": "<string>",
"served_from_cache": true,
"attribution": {
"entity_type": "EXCHANGE",
"name": "<string>",
"sanctions_listed": true,
"jurisdiction": "<string>"
},
"cache": {
"age_seconds": 1,
"provider_captured_at": "<string>",
"source_screening_id": "<string>"
},
"provider_risk_score": 123
}
],
"next_cursor": "<string>"
}Wallets
Handles `GET /v1/wallets/{network}/{address}/screenings`.
Errors
Returns 401 without usable credentials and 422 for an unusable
address. A tenant with no history for the address gets an empty list.
GET
/
v1
/
wallets
/
{network}
/
{address}
/
screenings
Handles `GET /v1/wallets/{network}/{address}/screenings`.
Authorizations
api_keysession_cookie
A tenant API key. Acts for exactly one tenant and cannot conclude a case, because a conclusion records a person.
Response
Screenings, newest first
Screening history response body.

